- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
md5::format Class Reference

A static string-formatting class for the output of md5::digest. More...

`#include <md5.h>`

## Static Public Member Functions
static string_type | rfc (const digest &)
| Returns the digest string in the RFC format. More...
static string_type | rfc (const digest::state_type &)
| Returns the digest string in the RFC format. More...
static string_type | raw (const digest::state_type &)
| Returns the raw digest data as a std::string. More...

## Detailed Description

A static string-formatting class for the output of md5::digest.

Various static methods are provided to convert the md5::digest::state_type structure into more useful formats, including the printable format defined by RFC 1321.

Definition at line 141 of file md5.h.

## Member Function Documentation

md5::string_type md5::format::raw | ( | const digest::state_type & | d | ) |
| static

Returns the raw digest data as a std::string.

The returned std::string buffer will typically contain non-printing characters, including NULs.

Definition at line 252 of file md5.cpp.

References md5::digest::state_type::a, md5::digest::state_type::b, md5::digest::state_type::c, and md5::digest::state_type::d.

md5::string_type md5::format::rfc | ( | const digest & | d | ) |
| static

Returns the digest string in the RFC format.

Definition at line 274 of file md5.cpp.

References md5::digest::state().

md5::string_type md5::format::rfc | ( | const digest::state_type & | d | ) |
| static

Returns the digest string in the RFC format.

Definition at line 279 of file md5.cpp.

References md5::digest::state_type::a, md5::digest::state_type::b, md5::digest::state_type::c, and md5::digest::state_type::d.

The documentation for this class was generated from the following files:

- md5.h
- md5.cpp